
%global meadversion 3.7.2
%global namedversion 3.7.2.redhat-3
%global meadalpha .redhat_3
%global meadrel .1
%global serial 9

%bcond_with javadoc
%bcond_without mead

%define maven_version 3.7.2.redhat-3

Name:           ecj3
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          1
Summary:        Eclipse ECJ
License:        EPL 1.0
Group:          Development/Java

%if %with mead
Source100: ecj-3.7.2.redhat-3-scm-sources.zip
Source102: ecj-3.7.2.redhat-3-javadoc.jar
Source103: ecj-3.7.2.redhat-3-sources.jar
Source104: ecj-3.7.2.redhat-3.jar
Source105: ecj-3.7.2.redhat-3.pom
%endif

URL:            http://www.eclipse.org/jdt/
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%if 0
Requires:       jboss-parent >= 0:11
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/ecj3-%{namedversion}-%{release}-root

%description -n ecj3
Eclipse JDT Core Batch Compiler.

%if %with javadoc
%package -n ecj3-javadoc
Summary:        Javadoc for ecj
Group:          Development/Documentation

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  unzip

%description -n ecj3-javadoc
%{summary}.
%endif

%prep
%setup -q -n eclipse.jdt.core -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/ecj-%{namedversion}.jar %{buildroot}%{_javadir}/ecj3-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/ecj-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/ecj3-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/ecj-%{namedversion}-sources.jar %{buildroot}%{_javadir}/ecj3-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/ecj-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-ecj3.pom

# depmaps
%add_to_maven_depmap org.eclipse.jdt.core.compiler ecj %{namedversion} JPP ecj3
[ %{name} = "ecj3" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/ecj3

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/ecj3-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/ecj-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/ecj3-%{namedversion} -x META-INF/\*
%{__ln_s} ecj3-%{namedversion} %{buildroot}%{_javadocdir}/ecj3
%endif

%clean
%{__rm} -rf %{buildroot}

%post -n ecj3
%update_maven_depmap

%postun -n ecj3
%update_maven_depmap

%files -n ecj3
%defattr(0644,root,root,0755)
%{_javadir}/ecj3-%{namedversion}.jar
%{_javadir}/ecj3.jar
%exclude %{_javadir}/ecj3-%{namedversion}-javadoc.jar
%exclude %{_javadir}/ecj3-javadoc.jar
%{_javadir}/ecj3-%{namedversion}-sources.jar
%{_javadir}/ecj3-sources.jar
%{_mavenpomdir}/JPP-ecj3.pom
%{_mavendepmapfragdir}/ecj3

%if %with javadoc
%files -n ecj3-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/ecj3-%{namedversion}
%{_javadocdir}/ecj3
%{_javadir}/ecj3-%{namedversion}-javadoc.jar
%{_javadir}/ecj3-javadoc.jar
%endif

%changelog
* Tue Mar 18 2014 David Walluck <dwalluck@redhat.com> 1:3.7.2-8.redhat_3.2
- bump Epoch from 0 to 1 for RHEL compat

* Fri Dec 13 2013 David Walluck <dwalluck@redhat.com> - 3.7.2-8.redhat_3.1
- rebuild to fix changelog

* Fri Dec 13 2013 David Walluck <dwalluck@redhat.com> - 3.7.2-8.redhat_3.1
- rebuild to fix changelog

* Fri Dec 13 2013 David Walluck <dwalluck@redhat.com> - 3.7.2-8.redhat_3.1
- rebuild to fix changelog

* Mon Dec 09 2013 David Walluck <dwalluck@redhat.com> - 3.7.2-7.redhat_2.1
- convert to MEAD

* Mon Mar 11 2013  David Walluck <dwalluck@redhat.com> 1:3.7.2-6
- remove Obsoletes/Provides: ecj
- change name of all files in main package from ecj to ecj3

* Fri Mar 01 2013 David Walluck <dwalluck@redhat.com> 1:3.7.2-5
- update ant scope

* Fri Mar 01 2013 David Walluck <dwalluck@redhat.com> 1:3.7.2-4
- use maven to build
- build javadoc and sources jars

* Tue Feb 19 2013 David Walluck <dwalluck@redhat.com> 1:3.7.2-3
- change name to ecj to match upstream artifactId
- fix deploy URL
- add vman patch

* Fri Jul 13 2012 David Walluck <dwalluck@redhat.com> 1:3.7.2-2
- use upstream pom
- add new groupId and artifactId in maven depmap frag
- update Group

* Tue Jul 03 2012 Permaine Cheung <pcheung@redhat.com> 1:3.7.2-1
- Upgrade to 3.7.2
- Update groupId and artifactId

* Tue Mar 20 2012 Weinan Li <weli@redhat.com> 1:3.7.1-1.1
- Upgrade to 3.7.1

* Tue Aug 16 2011 David Walluck <dwalluck@redhat.com> 1:3.7-1.2
- Provides/Obsoletes: ecj due to depsolving problems

* Wed Aug 10 2011 David Walluck <dwalluck@redhat.com> 1:3.7-1.1
- rebuild to fix repolib

* Wed Jul 20 2011 David Walluck <dwalluck@redhat.com> 1:3.7-1
- 3.7
- add pom

* Mon Sep 20 2010 David Walluck <dwalluck@redhat.com> 1:3.6-2
- replace tabs with spaces

* Mon Sep 20 2010 David Walluck <dwalluck@redhat.com> 1:3.6-1
- 3.6
- fix GCJ support option
- remove unused files

* Fri May 14 2010 Martha Benitez <mbenitez@redhat.com> - 1:3.3.1.1-3.1.1
- rebuilt

* Tue Apr 20 2010 Yiqiao Wang <yiwang@redhat.com> 1:3.3.1.1-3.1.1
- Rebuild

* Thu Dec 04 2008 Permaine Cheung <pcheung@redhat.com> 1:3.3.1.1-3.1
- Add Provides: ecj-non-eclipse

* Sat Jun 28 2008 David Walluck <dwalluck@redhat.com> 1:3.3.1.1-3.jpp5
- bump Epoch to match Fedora

* Sun Jun 22 2008 David Walluck <dwalluck@redhat.com> 0:3.3.1.1-2.jpp5
- make some fixes for gcj support

* Fri Oct 26 2007 Jason Corley <jason.corley@gmail.com> - 0:3.3.1.1-1jpp
- update to 3.3.1.1

* Fri Mar 23 2007 Jason Corley <jason.corley@gmail.com> - 0:3.3-1jpp
- update to 3.3
- add R on java and BR on sed

* Fri Mar 23 2007 Jason Corley <jason.corley@gmail.com> - 0:3.2.2-3jpp
- remove jdtcore link

* Mon Mar 12 2007 Jason Corley <jason.corley@gmail.com> - 0:3.2.2-2jpp
- rename to just ecj
- add gcj compilation switches (Andrew Overholt)

* Fri Mar  2 2007 Jason Corley <jason.corley@gmail.com> - 0:3.2.2-1jpp
- first attempt at a noarch ecj only package
